## org.apache.cassandra.db.compaction
Interface ICompactionScanner

All Superinterfaces:
  java.io.Closeable, CloseableIterator<IColumnIterator>, java.util.Iterator<IColumnIterator>

All Known Implementing Classes:
  SSTableBoundedScanner, SSTableScanner

    public interface ICompactionScanner

extends CloseableIterator<IColumnIterator>

An ICompactionScanner is an abstraction allowing multiple SSTableScanners to be chained together under the hood. See LeveledCompactionStrategy.getScanners.

Method Summary
`java.lang.String` `getBackingFiles()`
`long` `getCurrentPosition()`
`long` `getLengthInBytes()`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface java.io.Closeable
`close`

Method Detail

### getLengthInBytes

    long getLengthInBytes()

### getCurrentPosition

    long getCurrentPosition()

### getBackingFiles

    java.lang.String getBackingFiles()

Copyright © 2013 The Apache Software Foundation